//*****************************************************************************
//*****************************************************************************
//  FILENAME: ms_Timer.h
//   Version: 2.70, Updated on 2012/3/2 at 9:15:29
//  Generated by PSoC Designer 5.2.2551
//
//  DESCRIPTION: Timer8 User Module C Language interface file
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef ms_Timer_INCLUDE
#define ms_Timer_INCLUDE

#include <m8c.h>

#pragma fastcall16 ms_Timer_EnableInt                 //                 Proxy 1
#pragma fastcall16 ms_Timer_DisableInt                //                 Proxy 1
#pragma fastcall16 ms_Timer_Start                     //                 Proxy 1
#pragma fastcall16 ms_Timer_Stop                      //                 Proxy 1
#pragma fastcall16 ms_Timer_bReadTimer                // Read  DR0       Proxy 1
#pragma fastcall16 ms_Timer_bReadTimerSaveCV          // Read  DR0       Proxy 2
#pragma fastcall16 ms_Timer_WritePeriod               // Write DR1       Proxy 1
#pragma fastcall16 ms_Timer_bReadCompareValue         // Read  DR2       Proxy 1
#pragma fastcall16 ms_Timer_WriteCompareValue         // Write DR2       Proxy 1

// The following symbols are deprecated.
// They may be omitted in future releases
//
#pragma fastcall16 bms_Timer_ReadCounter              // Read  DR0 "Obsolete"
#pragma fastcall16 bms_Timer_CaptureCounter           // Read  DR0 "Obsolete"
#pragma fastcall16 bms_Timer_ReadTimer                // Read  DR0 (Deprecated)
#pragma fastcall16 bms_Timer_ReadTimerSaveCV          // Read  DR0 (Deprecated)
#pragma fastcall16 bms_Timer_ReadCompareValue         // Read  DR2 (Deprecated)


//-------------------------------------------------
// Prototypes of the ms_Timer API.
//-------------------------------------------------

extern void ms_Timer_EnableInt(void);
extern void ms_Timer_DisableInt(void);
extern void ms_Timer_Start(void);
extern void ms_Timer_Stop(void);
extern BYTE ms_Timer_bReadTimer(void);
extern BYTE ms_Timer_bReadTimerSaveCV(void);
extern void ms_Timer_WritePeriod(BYTE bPeriod);
extern BYTE ms_Timer_bReadCompareValue(void);
extern void ms_Timer_WriteCompareValue(BYTE bCompareValue);

// The following functions are deprecated.
// They may be omitted in future releases
//
extern BYTE bms_Timer_ReadCompareValue(void);       // Deprecated
extern BYTE bms_Timer_ReadTimerSaveCV(void);        // Deprecated
extern BYTE bms_Timer_ReadCounter(void);            // Obsolete
extern BYTE bms_Timer_ReadTimer(void);              // Deprecated
extern BYTE bms_Timer_CaptureCounter(void);         // Obsolete


//--------------------------------------------------
// Constants for ms_Timer API's.
//--------------------------------------------------

#define ms_Timer_CONTROL_REG_START_BIT         ( 0x01 )
#define ms_Timer_INT_REG_ADDR                  ( 0x0e1 )
#define ms_Timer_INT_MASK                      ( 0x08 )


//--------------------------------------------------
// Constants for ms_Timer user defined values
//--------------------------------------------------

#define ms_Timer_PERIOD                        ( 0x01 )
#define ms_Timer_COMPARE_VALUE                 ( 0x00 )


//-------------------------------------------------
// Register Addresses for ms_Timer
//-------------------------------------------------

#pragma ioport  ms_Timer_COUNTER_REG:   0x02c              //DR0 Count register
BYTE            ms_Timer_COUNTER_REG;
#pragma ioport  ms_Timer_PERIOD_REG:    0x02d              //DR1 Period register
BYTE            ms_Timer_PERIOD_REG;
#pragma ioport  ms_Timer_COMPARE_REG:   0x02e              //DR2 Compare register
BYTE            ms_Timer_COMPARE_REG;
#pragma ioport  ms_Timer_CONTROL_REG:   0x02f              //Control register
BYTE            ms_Timer_CONTROL_REG;
#pragma ioport  ms_Timer_FUNC_REG:  0x12c                  //Function register
BYTE            ms_Timer_FUNC_REG;
#pragma ioport  ms_Timer_INPUT_REG: 0x12d                  //Input register
BYTE            ms_Timer_INPUT_REG;
#pragma ioport  ms_Timer_OUTPUT_REG:    0x12e              //Output register
BYTE            ms_Timer_OUTPUT_REG;
#pragma ioport  ms_Timer_INT_REG:       0x0e1              //Interrupt Mask Register
BYTE            ms_Timer_INT_REG;


//-------------------------------------------------
// ms_Timer Macro 'Functions'
//-------------------------------------------------

#define ms_Timer_Start_M \
   ( ms_Timer_CONTROL_REG |=  ms_Timer_CONTROL_REG_START_BIT )

#define ms_Timer_Stop_M  \
   ( ms_Timer_CONTROL_REG &= ~ms_Timer_CONTROL_REG_START_BIT )

#define ms_Timer_EnableInt_M   \
   M8C_EnableIntMask(  ms_Timer_INT_REG, ms_Timer_INT_MASK )

#define ms_Timer_DisableInt_M  \
   M8C_DisableIntMask( ms_Timer_INT_REG, ms_Timer_INT_MASK )

#endif
// end of file ms_Timer.h
